List VSync states
curl --request GET \
--url https://api.example.com/dict-hub/v1/vsync/states \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/dict-hub/v1/vsync/states"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/dict-hub/v1/vsync/states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/dict-hub/v1/vsync/states"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"createdAt": "2026-04-01T00:00:00Z",
"hoursSinceLastSync": 0.25,
"id": "019606a1-3b4c-7d8e-9f01-234567890abc",
"ispb": "30306294",
"keyType": "CPF",
"localVSync": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"slaStatus": "OK",
"status": "SYNCED",
"updatedAt": "2026-04-20T12:00:00Z",
"lastFullReconciliation": "2026-04-19T08:30:00Z",
"lastSyncCheck": "2026-04-20T12:00:00Z",
"lastSyncTimestamp": "2026-04-20T11:45:00Z"
}
],
"total": 5
}{
"code": "PIX-0000",
"title": "Internal Server Error",
"message": "The server encountered an unexpected error. Please try again later."
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List VSync states
Returns the VSync reconciliation state of each scope (your ISPB and key type), with its SLA classification (OK, WARNING or VIOLATION) and the hours since the last sync check.
GET
/
vsync
/
states
List VSync states
curl --request GET \
--url https://api.example.com/dict-hub/v1/vsync/states \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/dict-hub/v1/vsync/states"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/dict-hub/v1/vsync/states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/dict-hub/v1/vsync/states"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"createdAt": "2026-04-01T00:00:00Z",
"hoursSinceLastSync": 0.25,
"id": "019606a1-3b4c-7d8e-9f01-234567890abc",
"ispb": "30306294",
"keyType": "CPF",
"localVSync": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"slaStatus": "OK",
"status": "SYNCED",
"updatedAt": "2026-04-20T12:00:00Z",
"lastFullReconciliation": "2026-04-19T08:30:00Z",
"lastSyncCheck": "2026-04-20T12:00:00Z",
"lastSyncTimestamp": "2026-04-20T11:45:00Z"
}
],
"total": 5
}{
"code": "PIX-0000",
"title": "Internal Server Error",
"message": "The server encountered an unexpected error. Please try again later."
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Parámetros de consulta
¿Esta página le ayudó?

